aboutsummaryrefslogtreecommitdiff
path: root/.local/bin/statusbar/sb-mailbox
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/statusbar/sb-mailbox')
-rwxr-xr-x.local/bin/statusbar/sb-mailbox8
1 files changed, 4 insertions, 4 deletions
diff --git a/.local/bin/statusbar/sb-mailbox b/.local/bin/statusbar/sb-mailbox
index b03724f..055993c 100755
--- a/.local/bin/statusbar/sb-mailbox
+++ b/.local/bin/statusbar/sb-mailbox
@@ -4,17 +4,17 @@
# When clicked, brings up `neomutt`.
case $1 in
- 1) hyprctl dispatch exec '$TERMINAL -e neomutt'; pkill -RTMIN+12 waybar ;;
+ 1) setsid -w -f "$TERMINAL" -e neomutt; pkill -RTMIN+12 waybar ;;
2) setsid -f mailsync >/dev/null ;;
3) notify-send "📬 Mail module" "\- Shows unread mail
- Shows 🔃 if syncing mail
- Left click opens neomutt
- Middle click syncs mail" ;;
- 6) hyprctl dispatch exec "$TERMINAL -e \"$EDITOR\" \"$0\"" ;;
+ 6) setsid -f "$TERMINAL" -e "$EDITOR" "$0" ;;
esac
unread="$(find "${XDG_DATA_HOME:-$HOME/.local/share}"/mail/*/[Ii][Nn][Bb][Oo][Xx]/new/* -type f | wc -l 2>/dev/null)"
-pidof mailsync >/dev/null 2>&1 && icon="🔃"
+pidof mailsync >/dev/null 2>&1 && icon=" "
-[ "$unread" = "0" ] && [ "$icon" = "" ] || echo "📬$unread$icon"
+[ "$unread" = "0" ] && [ "$icon" = "" ] || echo " $unread$icon"